Page MenuHomeFreeBSD

databases/grass7, math/saga, graphics/qgis and graphics/qgis-ltr: update to latest versions
ClosedPublic

Authored by lbartoletti on Mar 26 2020, 7:53 PM.

Details

Summary

Update of GIS software databases/grass7, math/saga, graphics/qgis-ltr and graphics/qgis

  • math/saga:
    • Update to 7.6.2
    • Use wxWidgets 3.0+ instead of 3.1+ since 3.1 is not a mandatory version and this reduces the number of packages installed when you install saga and qgis/grass (which requires version 3.0).
  • databases/grass7:
    • Update to 7.8.2 first version for python3 only
    • Use ${PY_NUMPY} variable
    • Readd openmp
    • Use wxPython40 for python3
    • Remove bash dependency. You can use any shell.
    • Rework the workaround in post-install (for / touch files). Fix the long (random) standing issue with pkg-plist
    • Alphabetize USES and OPTIONS
    • Replace XX_configure_on by XX_configure_with as possible
  • graphics/qgis:
    • Update to 3.12.1
    • Remove patches (applied upstream or fixed in ports: pyqt5 / sip)
  • graphics/qgis-ltr:
    • Update to 3.10.4
Test Plan
  • math/saga: Poudriere 11/12/head i386/amd64
  • databases/grass7: Poudriere 11/12/head i386/amd64
  • graphics/qgis: Poudriere 11/12/head amd64 (cannot build since qt5-3D requires multimedia/assimp which is broken on i386)
  • graphics/qgis-ltr: Poudriere 11/12/head amd64 (cannot build since qt5-3D requires multimedia/assimp which is broken on i386)

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

lbartoletti created this revision.Mar 26 2020, 7:53 PM

@rhurlin_gwdg.de I have a doubt about qgis[-ltr]/files/patch-python_plugins_processing_algs_saga_SagaAlgorithmProvider.py is it a requirement for saga in processing toolbox?

@rhurlin_gwdg.de I have a doubt about qgis[-ltr]/files/patch-python_plugins_processing_algs_saga_SagaAlgorithmProvider.py is it a requirement for saga in processing toolbox?

Yes, this patch is needed to get plugins like 'Processing Saga NextGen Provider' from North Road to work. Otherwise, only SAGA version 7.2 is accepted by this plugin, nothing newer ...

linimon retitled this revision from databases/grass7, math/saga, graphics/qgis and graphics/qgis-ltr to databases/grass7, math/saga, graphics/qgis and graphics/qgis-ltr: update to latest versions.Mar 27 2020, 7:10 AM

Revert and update qgis[-ltr]/files/patch-python_plugins_processing_algs_saga_SagaAlgorithmProvider.py
Minor fixes

@rhurlin_gwdg.de I have a doubt about qgis[-ltr]/files/patch-python_plugins_processing_algs_saga_SagaAlgorithmProvider.py is it a requirement for saga in processing toolbox?

Yes, this patch is needed to get plugins like 'Processing Saga NextGen Provider' from North Road to work. Otherwise, only SAGA version 7.2 is accepted by this plugin, nothing newer ...

Oh yes! I forgot that our proposal wasn't integrated upstream.

@rhurlin_gwdg.de I have a doubt about qgis[-ltr]/files/patch-python_plugins_processing_algs_saga_SagaAlgorithmProvider.py is it a requirement for saga in processing toolbox?

Yes, this patch is needed to get plugins like 'Processing Saga NextGen Provider' from North Road to work. Otherwise, only SAGA version 7.2 is accepted by this plugin, nothing newer ...

Oh yes! I forgot that our proposal wasn't integrated upstream.

Ah, thanks for integrating it back!

I just realized, that there is another dependency, which shoud be included in the LIB_DEPENDS sections of both Makefiles, for qgis-ltr and qgis:
+ libqca-qt5.so:devel/qca \

@rhurlin_gwdg.de I have a doubt about qgis[-ltr]/files/patch-python_plugins_processing_algs_saga_SagaAlgorithmProvider.py is it a requirement for saga in processing toolbox?

Yes, this patch is needed to get plugins like 'Processing Saga NextGen Provider' from North Road to work. Otherwise, only SAGA version 7.2 is accepted by this plugin, nothing newer ...

Oh yes! I forgot that our proposal wasn't integrated upstream.

Ah, thanks for integrating it back!

You're welcome!

I just realized, that there is another dependency, which shoud be included in the LIB_DEPENDS sections of both Makefiles, for qgis-ltr and qgis:
+ libqca-qt5.so:devel/qca \

Now, it's an USES= qca thanks to @tcberner ;)

@rhurlin_gwdg.de I have a doubt about qgis[-ltr]/files/patch-python_plugins_processing_algs_saga_SagaAlgorithmProvider.py is it a requirement for saga in processing toolbox?

Yes, this patch is needed to get plugins like 'Processing Saga NextGen Provider' from North Road to work. Otherwise, only SAGA version 7.2 is accepted by this plugin, nothing newer ...

Oh yes! I forgot that our proposal wasn't integrated upstream.

Ah, thanks for integrating it back!

You're welcome!

I just realized, that there is another dependency, which shoud be included in the LIB_DEPENDS sections of both Makefiles, for qgis-ltr and qgis:
+ libqca-qt5.so:devel/qca \

Now, it's an USES= qca thanks to @tcberner ;)

And now, I realized it is already in USES :)

fix propset
remove useless command commented

correct grass7 pkg-plist with python suffix and prepare py38. Not available now since py-six and other py ports are not flavored.

grass built with py3{6,7,8} but devel/py-six devel/py-pathlib2 x11-toolkits/py-wxPython40 needs to be flavorized

tcberner added inline comments.Mar 28 2020, 4:31 PM
databases/grass7/pkg-message
6 ↗(On Diff #69920)

^ wouldn't it make sense to have %%PYTHON_CMD%% or something here, and sub it to be the one that was used during build?

lbartoletti marked an inline comment as done.Mar 29 2020, 8:13 AM
lbartoletti added inline comments.
databases/grass7/pkg-message
6 ↗(On Diff #69920)

Oh yes. It was on my todo list and I forgot it. Thanks!

lbartoletti marked an inline comment as done.

Move pkg-message to files/pkg-message.in and add python_cmd var
Add python alias to fix a potential error building databases/grass7 (still this problem with colortables/*png files...)

tcberner added inline comments.Mar 29 2020, 10:43 AM
databases/grass7/Makefile
168 ↗(On Diff #69973)

^couldn't you use USES=shebangfix here?

Uses shebangfix for py files

lbartoletti marked an inline comment as done.Mar 30 2020, 6:21 AM
lbartoletti added inline comments.
databases/grass7/Makefile
168 ↗(On Diff #69973)

Yes. It's done

lbartoletti marked an inline comment as done.Mar 31 2020, 6:51 PM
tcberner added inline comments.Mar 31 2020, 7:05 PM
databases/grass7/Makefile
168 ↗(On Diff #69973)

Macro stlgtm:

tcberner accepted this revision.Apr 1 2020, 4:59 PM

Looks good to me

This revision is now accepted and ready to land.Apr 1 2020, 4:59 PM